Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class PogoInterceptableSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PogoInterceptableSite

    public class PogoInterceptableSite
    extends AbstractCallSite

Call site for GroovyInterceptable

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PogoInterceptableSite(CallSite site)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`Object` | `callCurrent(GroovyObject receiver, Object[] args)`
`Object` | `invoke(Object receiver, Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PogoInterceptableSite

    public PogoInterceptableSite(CallSite site)

Method Detail

### call

    public final Object call(Object receiver, Object[] args)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object[] args)

### invoke

    public final Object invoke(Object receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.